RIO_REQUEST_DMA(9)

NAME
rio_request_dma - request RapidIO capable DMA channel that supports specified target RapidIO device.

SYNOPSIS

struct dma_chan * rio_request_dma(struct rio_dev * rdev);

ARGUMENTS

rdev
    RIO device associated with DMA transfer

DESCRIPTION

Returns pointer to allocated DMA channel or NULL if failed.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT